/*
 * Copyright 2013, Red Hat, Inc. and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.zanata.webtrans.client.keys;

/**
 * Wraps a {{@link com.google.gwt.user.client.Timer} to allow testing in a
 * non-browser environment.
 *
 * @author David Mason, <a
 *         href="mailto:damason@redhat.com">damason@redhat.com</a>
 *
 */
public class Timer {

    private com.google.gwt.user.client.Timer timer;

    public Timer(com.google.gwt.user.client.Timer timer) {
        this.timer = timer;
    }

    /**
     * @see {{@link com.google.gwt.user.client.Timer#cancel()}
     */
    public void cancel() {
        timer.cancel();
    }

    /**
     * @see {@link com.google.gwt.user.client.Timer#schedule(int)}
     */
    public void schedule(int delayMillis) {
        timer.schedule(delayMillis);
    }
}
